# $Revision: 1.21 $, $Date: 2004/08/19 19:11:33 $
Summary:	Freeciv launcher for Window Maker Dock
Summary(pl):	Odpalacz Freeciva dla Doku Window Makera
Name:		wmciv
Version:	0.2
Release:	5
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://www.chez.com/soap/wmciv/%{name}-%{version}.tar.gz
# Source0-md5:	df737598c616286d71e904a9f9c01f4b
Source1:	%{name}.desktop
URL:		http://www.chez.com/soap/wmciv/wmciv.html
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
wmciv is a dock-application designed for Window Maker. It allows you
to easily launch a Freeciv game. Any relatively recent version of
Freeciv should be supported.

After installing this package you have to create a directory named
.wmciv in your home directory and copy in it the files contained in
%{_defaultdocdir}/%{name}-%{version}/scripts/.

%description -l pl
wmciv jest dokowalnym apletem zaprojektowanym dla Window Makera.
Pozwala Ci na atwe uruchamianie gry Freeciv. Powinien wsppracowa z
kad, w miar now, wersj Freeciv.

Po zainstalowaniu tego pakietu musisz stworzy katalog .wmciv w swoim
katalogu domowym i skopiowa do niego pliki znajdujce si w
%{_defaultdocdir}/%{name}-%{version}/scripts/.

%prep
%setup -q

%build
%{__make} \
	CFLAGS="%{rpmcflags} -Wall -I%{_includedir}" \
	LIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}/docklets}

%{__make} install DESTDIR=$RPM_BUILD_ROOT%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG scripts
%attr(755,root,root) %{_bindir}/wmciv
%{_desktopdir}/docklets/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmciv.spec,v $
Revision 1.21  2004/08/19 19:11:33  yogib
- fix building on amd64

Revision 1.20  2004/07/18 09:49:55  yogib
- new URL, added desktop, pl

Revision 1.19  2004/03/16 06:24:26  adamg
- release 3 for Ac

Revision 1.18  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.17  2003/05/28 13:02:52  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:27:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.14  2002/11/30 23:00:29  juandon
- new %%doc

Revision 1.13  2002/02/23 05:05:00  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:59  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:15:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/26 01:01:48  kloczek
- reorder in header.

Revision 1.9  2001/11/25 22:33:43  blues
- release 2

Revision 1.8  2001/11/21 02:49:44  blues
- cosmetic in files

Revision 1.7  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.5  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:15:59  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.2  1999/09/04 09:44:02  pius
- cosmetics

Revision 1.1  1999/09/02 16:35:15  pius
- initial rpm release

